ReflectionClass::isSubclassOf
ReflectionClass::isUserDefined
ReflectionClass
PHP Manual

# ReflectionClass::isTrait

(PHP >= 5.4.0)

ReflectionClass::isTrait — Returns whether this is a trait

### Description

public bool ReflectionClass::isTrait ( void )

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if this is a trait, `FALSE` otherwise. Returns `NULL` in case of an error.

ReflectionClass::isSubclassOf
ReflectionClass::isUserDefined
ReflectionClass
PHP Manual